Bug 23781 - db2 interferes with db3 linking (severity = *fscking*stupid*)
Summary: db2 interferes with db3 linking (severity = *fscking*stupid*)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-11 08:34 UTC by j. alan eldridge
Modified: 2007-04-18 16:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-28 06:54:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description j. alan eldridge 2001-01-11 08:34:27 UTC
I haven't got the exact logistics of this one traced down yet.

But, in a nutshell, trying to build perl from source with Berkeley DB
support doesn't work unless db2 is uninstalled. Otherwise, perl's little
test program gets db.h from db3 (ok so far), but  -ldb picks up libdb.so.3
-> libdb2.so.3, which, umm, doesn't work quite the way perl would like it
to. doesn't work the way I would like it to, either. ack! thppppxxxt!

Comment 1 Paul Lindner 2001-01-12 23:45:06 UTC
Please fix this!

There is a solution for DB_File I've found.  The real root of this problem is
that
-L/lib -ldb  works for db3, whereas -L/usr/lib -ldb gives you db2.

You can modify the config.in file in the DB_File install to use /lib, and then
you're okay.

Otherwise this should be as simple as
ln -s /lib/libdb-3.1.so /usr/lib/libdb.so.4

or such....



Note You need to log in before you can comment on or make changes to this bug.